summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-03-19 19:56:02 +0100
committerMichał Górny <mgorny@gentoo.org>2020-03-19 19:57:02 +0100
commit816e806cdfd7e08210962c1e989fe5e4333899cd (patch)
tree6b6e8f2a4c7100a616f3dd35dc84e733dcd955f3
parentmedia-gfx/cairosvg: Revert "Remove redundant versions" (diff)
downloadgentoo-816e806cdfd7e08210962c1e989fe5e4333899cd.tar.gz
gentoo-816e806cdfd7e08210962c1e989fe5e4333899cd.tar.bz2
gentoo-816e806cdfd7e08210962c1e989fe5e4333899cd.zip
dev-libs/jsoncpp: Revert "Remove redundant versions"
Reverts: 0509a62b8ba515727b87f24648941fc76611d937 Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--dev-libs/jsoncpp/Manifest1
-rw-r--r--dev-libs/jsoncpp/jsoncpp-1.9.1.ebuild67
2 files changed, 68 insertions, 0 deletions
diff --git a/dev-libs/jsoncpp/Manifest b/dev-libs/jsoncpp/Manifest
index d9de4eab81b..1727cd762c7 100644
--- a/dev-libs/jsoncpp/Manifest
+++ b/dev-libs/jsoncpp/Manifest
@@ -1 +1,2 @@
+DIST jsoncpp-1.9.1.tar.gz 203067 BLAKE2B 654f39b1265b344bb24d3fefb34d4d8b44f69ec819f333f00033ef90acfd5b926fdcc743badf403af797a6f58fe58d195ec0cdf4a1514629f8a1e75c20a6e2f6 SHA512 4a8352e1d32c0ba8a0aea4df1663279cb2256b334643c5b62be37dfb5951e06900ba38c010d1201511fcf7de09137d6a4b886edbb2b99160d2f62b5f4679f766
DIST jsoncpp-1.9.2.tar.gz 211341 BLAKE2B 9081bf2b2599194c1c77476287e34aaeacc3c331147db79e3343eae28321e55dbfc8d74faf899912c257194030d39eac4fdb016a68290755badd1b68b0a69dd4 SHA512 7c7188199d62ae040d458d507ba62f0370c53f39c580760ee5485cae5c08e5ced0c9aea7c14f54dfd041999a7291e4d0f67f8ccd8b1030622c85590774688640
diff --git a/dev-libs/jsoncpp/jsoncpp-1.9.1.ebuild b/dev-libs/jsoncpp/jsoncpp-1.9.1.ebuild
new file mode 100644
index 00000000000..6e5ed1722a5
--- /dev/null
+++ b/dev-libs/jsoncpp/jsoncpp-1.9.1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit cmake-utils python-any-r1
+
+DESCRIPTION="C++ JSON reader and writer"
+HOMEPAGE="https://github.com/open-source-parsers/jsoncpp"
+SRC_URI="https://github.com/open-source-parsers/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="|| ( public-domain MIT )"
+SLOT="0/21"
+KEYWORDS="~alpha amd64 arm arm64 hppa ia64 ~mips ppc ppc64 s390 sparc x86"
+IUSE="doc test"
+
+DEPEND="
+ doc? (
+ app-doc/doxygen
+ ${PYTHON_DEPS}
+ )
+ test? (
+ ${PYTHON_DEPS}
+ )"
+RDEPEND=""
+
+RESTRICT="!test? ( test )"
+
+pkg_setup() {
+ if use doc || use test; then
+ python-any-r1_pkg_setup
+ fi
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DJSONCPP_WITH_TESTS=$(usex test)
+ -DJSONCPP_WITH_POST_BUILD_UNITTEST=OFF
+ -DJSONCPP_WITH_CMAKE_PACKAGE=ON
+
+ -DBUILD_SHARED_LIBS=ON
+
+ # Follow Debian, Ubuntu, Arch convention for headers location
+ # bug #452234
+ -DCMAKE_INSTALL_INCLUDEDIR=include/jsoncpp
+
+ # Disable implicit ccache use
+ -DCCACHE_FOUND=OFF
+ )
+ cmake-utils_src_configure
+}
+
+src_compile() {
+ cmake-utils_src_compile
+
+ if use doc; then
+ cp "${BUILD_DIR}"/version . || die
+ "${EPYTHON}" doxybuild.py --doxygen="${EPREFIX}"/usr/bin/doxygen || die
+ HTML_DOCS=( dist/doxygen/jsoncpp*/. )
+ fi
+}
+
+src_test() {
+ cmake-utils_src_make jsoncpp_check
+}